package com.logicbig.example.collectors;

import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class FlatMappingExample2 {

    public static void main(String... args) {
        Map<Integer, List<Integer>> map =
                Stream.of(List.of(1, 2, 3, 4, 5, 6), List.of(7, 8, 9, 10))
                      .collect(
                              Collectors.groupingBy(
                                      Collection::size,
                                      Collectors.flatMapping(
                                              l -> l.stream()
                                                    .filter(i -> i % 2 == 0),
                                              Collectors.toList())
                              )
                      );
        System.out.println(map);
    }
}